#include <avr/io.h>
#include <inttypes.h>
#ifndef F_CPU
#define F_CPU 100000UL     /* Quarz mit 1 Mhz  */
#endif
#include <avr/delay.h>      /* definiert _delay_ms() ab avr-libc Version 1.2.0 */

#include "led.h"



uint8_t selftest_sequence[] = 
	{
		(1<<LED_GREEN),
		(1<<LED_GREEN),
		(1<<LED_GREEN),
		(1<<LED_RED),
		(1<<LED_RED),
		(1<<LED_GREEN)|(1<<LED2_GREEN),
		(1<<LED_GREEN)|(1<<LED2_GREEN),
		(1<<LED_GREEN)|(1<<LED2_RED),
		(1<<LED_GREEN)|(1<<LED2_RED),
		0,
		0,
		(1<<LED_GREEN)|(1<<LED2_GREEN),
		(1<<LED_GREEN)|(1<<LED2_GREEN),
		0, 
		0, 
		(1<<LED_GREEN)|(1<<LED2_GREEN),
		(1<<LED_GREEN)|(1<<LED2_GREEN),
		0, 
		0, 
		(1<<LED_GREEN)|(1<<LED2_GREEN),
		(1<<LED_GREEN)|(1<<LED2_GREEN),
		0, 
		0, 
		(1<<LED_RED)|(1<<LED2_RED),
		0, 
		(1<<LED_RED)|(1<<LED2_RED),
		0, 
		(1<<LED_RED)|(1<<LED2_RED),
		0, 
		(1<<LED_RED)|(1<<LED2_RED),
	};


void doSelfTest(void)
{
	uint8_t i=0;
	for (i=0;i<33;i++)
	{
		ledstatus = selftest_sequence[i];
		ledRefresh();
		_delay_ms(100);
	}
}
